Name:           libbase
Version:        1.1.6
Release:        %mkrel 17
Summary:        JFree Base Services
License:        LGPLv2+
Group:          System/Libraries 
Source:         https://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
URL:            https://reporting.pentaho.org/
Patch0:         libbase-1.1.2-fix-build.patch
Patch1:         libbase-1.1.2.java11.patch
Patch2: 	libbase-1.1.6-remove-antcontrib-support.patch
Patch3:         libbase-1.1.3-remove-commons-logging.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
Requires:       java
Requires:       jpackage-utils
BuildArch:      noarch

%description
LibBase is a library developed to provide base services like logging,
configuration and initialization to other libraries and applications. The
library is the root library for all Pentaho-Reporting projects.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p0 -b .build
%patch -P 1 -p1 -b .java11
%patch -P 2 -p1 -b .noantcontrib
%patch -P 3 -p1

find . -name "*.jar" -exec rm -f {} \;

%build
ant jar javadoc

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p ./dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%doc ChangeLog.txt licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Thu Oct 03 2024 daviddavid <daviddavid> 1.1.6-17.mga10
+ Revision: 2102776
- fix build with java21

* Mon May 08 2023 martinw <martinw> 1.1.6-16.mga9
+ Revision: 1956183
- Replace apache-commons-logging with java.util.logging (mga#29556 & mga#31021)

* Wed Sep 21 2022 neoclust <neoclust> 1.1.6-15.mga9
+ Revision: 1891148
- Fix build with jdk 17

* Sat Mar 26 2022 umeabot <umeabot> 1.1.6-14.mga9
+ Revision: 1828839
- Mageia 9 Mass Rebuild

* Thu Jan 14 2021 neoclust <neoclust> 1.1.6-13.mga8
+ Revision: 1671779
- No need to versionnate jar file
- Add versionned jar too

* Thu Jan 14 2021 neoclust <neoclust> 1.1.6-11.mga8
+ Revision: 1671672
- Remove ant-contrib support

* Tue Sep 08 2020 daviddavid <daviddavid> 1.1.6-10.mga8
+ Revision: 1623474
- allow rebuild with java 11
- Rebuilt for JDK-11
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 1.1.6-9.mga8
+ Revision: 1490612
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.6-8.mga7
+ Revision: 1262266
- Mageia 7 Mass Rebuild

* Fri Dec 25 2015 luigiwalser <luigiwalser> 1.1.6-7.mga6
+ Revision: 914587
- s/jakarta/apache/ (jakarta is long since dead)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-6.mga5
+ Revision: 747397
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-5.mga5
+ Revision: 681344
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-4.mga4
+ Revision: 530965
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 1.1.6-3.mga4
+ Revision: 461159
- remove java-nodeps from buildrequires

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-2.mga3
+ Revision: 356850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.6-1.mga3
+ Revision: 305435
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198929
- new version 1.1.6
- rediff and rename patch to fix-build
- drop the gcj support
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-3.mga1
+ Revision: 74305
- Really build without gcj

* Fri Mar 18 2011 ennael <ennael> 1.1.3-2.mga1
+ Revision: 74279
- build without gcj

* Mon Jan 24 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 35916
- Add back ant-contrib as buildrequire
- Fix buildrequires
- Fix macros
- Adapt for mageia
- imported package libbase


* Thu Dec 03 2009 Caolan McNamara <caolanm@redhat.com> 1.1.3-1
- latest version

* Thu Nov 17 2009 Caolan McNamara <caolanm@redhat.com> 1.1.2-1
- latest version

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-3.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Mon Mar 16 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-2.OOo31
- Post released tuned for OpenOffice.org reportbuilder

* Wed Dec 03 2008 Caolan McNamara <caolanm@redhat.com> 1.0.0-1
- initial fedora import
